// boolean tests
class C {
    public static void main(String[] args) {
    	String t = null;
    	if (true || false) t = "Hello";
    	if (t instanceof String && 7>4) {
    		t.toString(); // not null, since t is not null
    	}
    	else {
    		t.toString(); // maybe null
    	}
    }
}
